package com.persagy.ccontinue.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * 记录当前监听位置的事件
 *
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("v_hydomc_binlog_position")
public class BinlogPosition {
    /***
     * 主键id,自增
     */
    @TableId(value="id")
    private long id;

    /**
     * binlog文件的名字
     */
    @TableField(value="binlog_name")
    private String binlogName;

    /**
     * binlog文件的位置
     */
    @TableField(value="position")
    private Long position;
    /**
     * binlog的服务id
     */
    @TableField(value="server_id")
    private Long serverId;
}
