package com.persagy.ccontinue.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.persagy.ccontinue.entity.BinlogPosition;
import com.persagy.ccontinue.mapper.BinlogPositionMapper;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

import java.util.List;

@Service
public class BinlogPositionService extends ServiceImpl<BinlogPositionMapper, BinlogPosition> {


    /**
     * 查询binlog记录
     * @return
     */
    public BinlogPosition getPosition() {
        List<BinlogPosition> binlogPositions =  list();
        if(CollectionUtils.isEmpty(binlogPositions)){
            return null;
        }
        List<BinlogPosition> binlogPositionsDesc = list();
        binlogPositionsDesc.sort((a, b) -> Long.compare(b.getId(), a.getId()));
        return  binlogPositionsDesc.get(0);
    }

}
