package com.persagy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/***
 * 万达-中台设备信息主表字段映射关系表
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("v_hydomc_asset_relation_rwd")
public class VhydomcAssetRelationRwd  implements Serializable {

    /***
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 万达字段描述
     */
    @TableField(value = "wd_remark")
    private String wdRemark;

    /**
     * 万达code
     */
    @TableField(value = "wd_code")
    private String wdCode;


    /**
     * 中台字段描述
     */
    @TableField(value = "rwd_remark")
    private String rwdRemark;

    /**
     * 中台code
     */
    @TableField(value = "rwd_code")
    private String rwdCode;



}
