package com.persagy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/***
 * 设备参数信息V_HYDOMC_CLASSSPEC
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("v_hydomc_classspec")
public class VhydomcClassspec extends Model<VhydomcClassspec> implements Serializable {

    /***
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 设备分类id
     */
    @TableField(value = "CLASSSTRUCTUREID")
    private String classstructureid;

    /**
     * 设备分类名称
     */
    @TableField(value = "CLASSQC")
    private String classqc;

    /**
     * 设备参数id
     */
    @TableField(value = "assetattrid")
    private String assetattrid;

    /**
     * 设备参数名称
     */
    @TableField(value = "CSDESC")
    private String csdesc;

    /**
     * 设备参数类型
     */
    @TableField(value = "DATATYPE")
    private String datatype;

    /**
     * 设备参数单位编码
     */
    @TableField(value = "MEASUREUNITID")
    private String measureunitid;

    /**
     * 设备参数单位名称
     */
    @TableField(value = "CSJLDW")
    private String csjldw;

    /**
     * 设备参数单位名称
     */
    @TableField(value = "RWDCODE")
    private String rwdcode;


}
