package com.persagy.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/***
 * 中台与万达的项目关系转换表
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("v_hydomc_relation_projectid")
public class VhydomcRelationProjectid implements Serializable {

    /***
     * 主键
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 博锐中台项目(广场)id
     */
    @TableField(value = "project_id")
    private String projectId;

    /**
     * 万达广场id
     */
    @TableField(value = "wd_project_id")
    private String wdProjectId;

    /**
     * 描述
     */
    @TableField(value = "remark")
    private String remark;




}
