package com.persagy.utils;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * json 工具类
 */
public class JsonUtil {


    /**
     * @desc 将binlog日志解析的数据映射成实体类
     * @param message
     * @return
     */
    public static JSONObject transformationDataToObject(String format ,List message) {
        JSONObject resultObject = new JSONObject();
        JSONObject json = JSON.parseObject(format);
        for (String key : json.keySet()) {
            resultObject.put(key, message.get(json.getInteger(key)));
        }

        return resultObject;
    }
}
