-- 关系表，主驱动表
CREATE TABLE `v_hydomc_rwd_relation` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `CLASSSTRUCTUREID` varchar(80) NOT NULL COMMENT '设备分类id',
  `class_code` varchar(40) NOT NULL COMMENT '类型编码',
  `CLASSQC` varchar(40) DEFAULT NULL COMMENT '设备分类名称',
  `wd_classifcation_code` varchar(40) DEFAULT NULL COMMENT '万达字典设备编码',
  `huiyun_device_name` varchar(40) DEFAULT NULL COMMENT '慧云设备类型名称',
  `local_id` varchar(40) DEFAULT NULL COMMENT '构件分类编码(为空表示不需要二级判断)',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='万达-中台中间关系表';

-- 初始化数据
INSERT INTO `v_hydomc_rwd_relation` VALUES (139, '1639', 'WSDWPP', '给水泵', 'DWP', '生活给水泵', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (140, '1444', 'ACCHHP', '空调系统/热力板块/热力循环泵', 'HWP', '热力循环水泵', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (141, '1702', 'ACCHCB', '锅炉', 'GLRMGL', '燃煤锅炉', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (142, '1702', 'ACCHGB', '锅炉', 'GSB', '燃气锅炉', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (143, '1702', 'ACCHGB', '锅炉', 'GSB', '燃气锅炉', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (144, '1702', 'ACCHBF', '锅炉', 'GLSWZRLGL', '生物质燃料锅炉', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (145, '1702', 'ACCHEB', '锅炉', 'GLDRGL', '电热锅炉', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (146, '1771', 'ACCCSC', '压缩式螺杆冷水机组', 'CHUSC', '螺杆式冷水机组', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (147, '1700', 'ACCCCC', '压缩式离心冷水机组', 'CHUCC', '离心式冷水机组', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (148, '1705', 'ACCCOT', '冷却塔', 'CTW', '冷却塔', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (149, '1704', 'ACCCCP', '冷冻水泵', 'CHWP', '冷冻水泵', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (150, '1703', 'ACCCOP', '冷却水泵', 'CWP', '冷却水泵', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (151, '1920', 'ACATAH', '组合式空调机组', 'AHU', '组合式空调机组', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (152, '1712', 'ACATFU', '新风机组', 'FAU', '新风机组', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (153, '1514', 'SETDTF', '变压器', 'TFM', '变压器', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (154, '1503', 'SEELEL', '货梯', 'LIFT', '直梯', '20.50.10.10');
INSERT INTO `v_hydomc_rwd_relation` VALUES (155, '1502', 'SEELEL', '客梯', 'LIFT', '直梯', '20.50.10.20');
INSERT INTO `v_hydomc_rwd_relation` VALUES (156, '1504', 'SEELEL', '观光电梯', 'LIFT', '直梯', '20.50.10.30');
INSERT INTO `v_hydomc_rwd_relation` VALUES (157, '1506', 'SEELES', '自动扶梯', 'ESCLT', '扶梯', '20.50.50');
INSERT INTO `v_hydomc_rwd_relation` VALUES (158, '1507', 'SEELES', '人行步道', 'ESCLT', '扶梯', '20.50.60');
INSERT INTO `v_hydomc_rwd_relation` VALUES (159, '1659', 'FFFSSP', '喷淋泵', 'GLPLJYB', '喷淋加压泵', '');
INSERT INTO `v_hydomc_rwd_relation` VALUES (160, '1908', 'FFFSPM', '消火栓泵', 'GLXHSJYB', '消火栓稳压泵', '');