package com.persagy.ccontinue;

import com.persagy.ccontinue.entity.BinlogPosition;
import com.persagy.ccontinue.config.SyncConfig;

/**
 * 处理binlog位点信息接口，实现该接口创建自定义位点处理类
 */
public interface IPositionHandler {

    BinlogPosition getPosition(SyncConfig syncConfig);

    void savePosition(SyncConfig syncConfig, BinlogPosition binlogPosition);
}