package com.persagy.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;

/***
 * 设备参数信息V_HYDOMC_CLASSSPEC
 */
@Data
@NoArgsConstructor
@Accessors(chain = true)
@TableName("v_hydomc_classstructure")
public class VhydomcClassstructure  extends Model<VhydomcClassstructure> implements Serializable {

    /**
     * 设备分类id
     */
    @TableId(value = "CLASSSTRUCTUREID")
    private String classstructureid;

    /**
     * 设备分类名称
     */
    @TableField(value = "CLASSQC")
    private String classqc;

    /**
     * 设备单位编码
     */
    @TableField(value = "JLDW")
    private String jldw;

    /**
     * 设备单位名称
     */
    @TableField(value = "JLDWDESC")
    private String jldwdesc;

}
