package com.persagy.enumeration;

/**
 * 操作状态
 */
public enum OperationStatus {
    INSERT("insert", 1), UPDATE("update", 2),DELETE("delete", 3);
    // 成员变量
    private String name;
    private int index;
    // 构造方法
    private OperationStatus(String name, int index) {
        this.name = name;
        this.index = index;
    }
    // 普通方法
    public static String getName(int index) {
        for (OperationStatus c : OperationStatus.values()) {
            if (c.getIndex() == index) {
                return c.name;
            }
        }
        return null;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
