-- 万达特有设备信息点对照表
CREATE TABLE `v_hydomc_classspec` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `CLASSSTRUCTUREID` varchar(40) DEFAULT NULL COMMENT '设备分类id',
  `CLASSQC` varchar(40) DEFAULT NULL COMMENT '设备分类名称',
  `ASSETATTRID` varchar(40) DEFAULT NULL COMMENT '设备参数id',
  `CSDESC` varchar(40) DEFAULT NULL COMMENT '设备参数名称',
  `DATATYPE` varchar(40) DEFAULT NULL COMMENT '设备参数类型',
  `MEASUREUNITID` varchar(40) DEFAULT NULL COMMENT '设备参数单位编码',
  `CSJLDW` varchar(40) DEFAULT NULL COMMENT '设备参数单位名称',
  `RWDCODE` varchar(255) DEFAULT NULL COMMENT '中台的信息点字段',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=1 DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='设备参数信息V_HYDOMC_CLASSSPEC';


-- 初始化数据
INSERT INTO `v_hydomc_classspec` VALUES (276, '1507', '电梯系统/扶梯/人行步道', '1106', '输送能力', '字母数字', '1009', '人/小时', 'rateddeliverycap');
INSERT INTO `v_hydomc_classspec` VALUES (277, '1507', '电梯系统/扶梯/人行步道', '1018', '是否变频', '字母数字', '', '', 'wD_shifoubianpin');
INSERT INTO `v_hydomc_classspec` VALUES (278, '1507', '电梯系统/扶梯/人行步道', '1015', '倾斜度', '字母数字', '1007', '度', 'wD_qingxiedu');
INSERT INTO `v_hydomc_classspec` VALUES (279, '1507', '电梯系统/扶梯/人行步道', '1013', '名义宽度', '字母数字', '1004', '毫米', 'wD_mingyikuandu');
INSERT INTO `v_hydomc_classspec` VALUES (280, '1507', '电梯系统/扶梯/人行步道', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (281, '1507', '电梯系统/扶梯/人行步道', '1004', '额定速度', '数字', '1003', '米/秒', 'ratednonloadv');
INSERT INTO `v_hydomc_classspec` VALUES (282, '1507', '电梯系统/扶梯/人行步道', '1003', '额定电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (283, '1507', '电梯系统/扶梯/人行步道', '1114', '提升高度', '字母数字', '1008', '米', 'wD_tishenggaodu');
INSERT INTO `v_hydomc_classspec` VALUES (284, '1506', '电梯系统/扶梯/自动扶梯', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (285, '1506', '电梯系统/扶梯/自动扶梯', '1114', '提升高度', '字母数字', '1008', '米', 'wD_tishenggaodu');
INSERT INTO `v_hydomc_classspec` VALUES (286, '1506', '电梯系统/扶梯/自动扶梯', '1106', '输送能力', '字母数字', '1009', '人/小时', 'rateddeliverycap');
INSERT INTO `v_hydomc_classspec` VALUES (287, '1506', '电梯系统/扶梯/自动扶梯', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (288, '1506', '电梯系统/扶梯/自动扶梯', '1018', '是否变频', '字母数字', '', '', 'wD_shifoubianpin');
INSERT INTO `v_hydomc_classspec` VALUES (289, '1506', '电梯系统/扶梯/自动扶梯', '1015', '倾斜度', '字母数字', '1007', '度', 'wD_qingxiedu');
INSERT INTO `v_hydomc_classspec` VALUES (290, '1506', '电梯系统/扶梯/自动扶梯', '1013', '名义宽度', '字母数字', '1004', '毫米', 'wD_mingyikuandu');
INSERT INTO `v_hydomc_classspec` VALUES (291, '1506', '电梯系统/扶梯/自动扶梯', '1004', '额定速度', '数字', '1003', '米/秒', 'ratednonloadv');
INSERT INTO `v_hydomc_classspec` VALUES (292, '1506', '电梯系统/扶梯/自动扶梯', '1003', '额定电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (293, '1504', '电梯系统/直梯/观光电梯', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (294, '1504', '电梯系统/直梯/观光电梯', '1004', '额定速度', '数字', '1003', '米/秒', 'wD_edingsudu');
INSERT INTO `v_hydomc_classspec` VALUES (295, '1504', '电梯系统/直梯/观光电梯', '1003', '额定电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (296, '1504', '电梯系统/直梯/观光电梯', '1009', '轿厢尺寸', '字母数字', '1028', '毫米*毫米', 'wD_jiaoxiangchicun');
INSERT INTO `v_hydomc_classspec` VALUES (297, '1504', '电梯系统/直梯/观光电梯', '1010', '控制方式', '字母数字', '', '', 'wD_ctrltype');
INSERT INTO `v_hydomc_classspec` VALUES (298, '1504', '电梯系统/直梯/观光电梯', '1023', '拖动方式', '字母数字', '', '', 'wD_tuodongfangshi');
INSERT INTO `v_hydomc_classspec` VALUES (299, '1504', '电梯系统/直梯/观光电梯', '1021', '厅轿门开门方式', '字母数字', '', '', 'wD_tingjiaomenkaimenfangshi');
INSERT INTO `v_hydomc_classspec` VALUES (300, '1504', '电梯系统/直梯/观光电梯', '1001', '层数', '数字', '1006', '层', 'wD_cengshu');
INSERT INTO `v_hydomc_classspec` VALUES (301, '1504', '电梯系统/直梯/观光电梯', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (302, '1504', '电梯系统/直梯/观光电梯', '1026', '站数', '数字', '1011', '站', 'wD_zhanshu');
INSERT INTO `v_hydomc_classspec` VALUES (303, '1504', '电梯系统/直梯/观光电梯', '1025', '载重', '数字', '1001', '千克', 'wD_zaizhong');
INSERT INTO `v_hydomc_classspec` VALUES (304, '1504', '电梯系统/直梯/观光电梯', '1022', '厅轿门形式', '字母数字', '', '', 'wD_tingjiaomenxingshi');
INSERT INTO `v_hydomc_classspec` VALUES (305, '1503', '电梯系统/直梯/货梯', '1001', '层数', '数字', '1006', '层', 'wD_cengshu');
INSERT INTO `v_hydomc_classspec` VALUES (306, '1503', '电梯系统/直梯/货梯', '1003', '额定电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (307, '1503', '电梯系统/直梯/货梯', '1004', '额定速度', '数字', '1003', '米/秒', 'wD_edingsudu');
INSERT INTO `v_hydomc_classspec` VALUES (308, '1503', '电梯系统/直梯/货梯', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (309, '1503', '电梯系统/直梯/货梯', '1009', '轿厢尺寸', '字母数字', '1028', '毫米*毫米', 'wD_jiaoxiangchicun');
INSERT INTO `v_hydomc_classspec` VALUES (310, '1503', '电梯系统/直梯/货梯', '1010', '控制方式', '字母数字', '', '', 'wD_ctrltype');
INSERT INTO `v_hydomc_classspec` VALUES (311, '1503', '电梯系统/直梯/货梯', '1021', '厅轿门开门方式', '字母数字', '', '', 'wD_tingjiaomenkaimenfangshi');
INSERT INTO `v_hydomc_classspec` VALUES (312, '1503', '电梯系统/直梯/货梯', '1022', '厅轿门形式', '字母数字', '', '', 'wD_tingjiaomenxingshi');
INSERT INTO `v_hydomc_classspec` VALUES (313, '1503', '电梯系统/直梯/货梯', '1023', '拖动方式', '字母数字', '', '', 'wD_tuodongfangshi');
INSERT INTO `v_hydomc_classspec` VALUES (314, '1503', '电梯系统/直梯/货梯', '1025', '载重', '数字', '1001', '千克', 'wD_zaizhong');
INSERT INTO `v_hydomc_classspec` VALUES (315, '1503', '电梯系统/直梯/货梯', '1026', '站数', '数字', '1011', '站', 'wD_zhanshu');
INSERT INTO `v_hydomc_classspec` VALUES (316, '1503', '电梯系统/直梯/货梯', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (317, '1502', '电梯系统/直梯/客梯', '1001', '层数', '数字', '1006', '层', 'wD_cengshu');
INSERT INTO `v_hydomc_classspec` VALUES (318, '1502', '电梯系统/直梯/客梯', '1003', '额定电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (319, '1502', '电梯系统/直梯/客梯', '1004', '额定速度', '数字', '1003', '米/秒', 'wD_edingsudu');
INSERT INTO `v_hydomc_classspec` VALUES (320, '1502', '电梯系统/直梯/客梯', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (321, '1502', '电梯系统/直梯/客梯', '1009', '轿厢尺寸', '字母数字', '1028', '毫米*毫米', 'wD_jiaoxiangchicun');
INSERT INTO `v_hydomc_classspec` VALUES (322, '1502', '电梯系统/直梯/客梯', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (323, '1502', '电梯系统/直梯/客梯', '1021', '厅轿门开门方式', '字母数字', '', '', 'wD_tingjiaomenkaimenfangshi');
INSERT INTO `v_hydomc_classspec` VALUES (324, '1502', '电梯系统/直梯/客梯', '1022', '厅轿门形式', '字母数字', '', '', 'wD_tingjiaomenxingshi');
INSERT INTO `v_hydomc_classspec` VALUES (325, '1502', '电梯系统/直梯/客梯', '1023', '拖动方式', '字母数字', '', '', 'wD_tuodongfangshi');
INSERT INTO `v_hydomc_classspec` VALUES (326, '1502', '电梯系统/直梯/客梯', '1025', '载重', '数字', '1001', '千克', 'wD_zaizhong');
INSERT INTO `v_hydomc_classspec` VALUES (327, '1502', '电梯系统/直梯/客梯', '1026', '站数', '数字', '1011', '站', 'wD_zhanshu');
INSERT INTO `v_hydomc_classspec` VALUES (328, '1502', '电梯系统/直梯/客梯', '1010', '控制方式', '字母数字', '', '', 'wD_ctrltype');
INSERT INTO `v_hydomc_classspec` VALUES (329, '1639', '给排水/给水泵', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (330, '1639', '给排水/给水泵', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (331, '1639', '给排水/给水泵', '1049', '电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (332, '1639', '给排水/给水泵', '1130', '转速', '数字', '1032', '转/分钟', 'wD_rpm');
INSERT INTO `v_hydomc_classspec` VALUES (333, '1639', '给排水/给水泵', '1109', '水泵安装形式', '字母数字', '', '', 'installtype');
INSERT INTO `v_hydomc_classspec` VALUES (334, '1639', '给排水/给水泵', '1123', '扬程', '数字', '1008', '米', 'ratedhead');
INSERT INTO `v_hydomc_classspec` VALUES (335, '1639', '给排水/给水泵', '1129', '重量', '数字', '1001', '千克', 'wD_weight');
INSERT INTO `v_hydomc_classspec` VALUES (336, '1639', '给排水/给水泵', '1077', '流量', '数字', '1025', '立方米/小时', 'ratedflow');
INSERT INTO `v_hydomc_classspec` VALUES (337, '1514', '供配电系统/高压配电柜/变压器', '1093', '容量', '数字', '1024', '千伏安', 'ratedcap');
INSERT INTO `v_hydomc_classspec` VALUES (338, '1514', '供配电系统/高压配电柜/变压器', '1062', '高压侧电压', '数字', '1023', '千伏', 'huratedu');
INSERT INTO `v_hydomc_classspec` VALUES (339, '1702', '空调系统/锅炉', '1006', '功率', '数字', '1002', '千瓦', 'wD_shigonggonglv');
INSERT INTO `v_hydomc_classspec` VALUES (340, '1702', '空调系统/锅炉', '1173', '额定效率', '数字', '1002', '千瓦', 'designeff');
INSERT INTO `v_hydomc_classspec` VALUES (341, '1702', '空调系统/锅炉', '1067', '锅炉形式', '字母数字', '', '', 'wD_boilerform');
INSERT INTO `v_hydomc_classspec` VALUES (342, '1702', '空调系统/锅炉', '1044', '出水温度', '数字', '1040', '摄氏度', 'wD_shejichushuiwendu');
INSERT INTO `v_hydomc_classspec` VALUES (343, '1702', '空调系统/锅炉', '1128', '制热量', '数字', '1002', '千瓦', 'wD_zhireliang');
INSERT INTO `v_hydomc_classspec` VALUES (344, '1702', '空调系统/锅炉', '1090', '燃料类型', '字母数字', '', '', 'wD_fueltype');
INSERT INTO `v_hydomc_classspec` VALUES (345, '1712', '空调系统/空调末端/新风机组', '1127', '制冷量', '数字', '1002', '千瓦', 'designcoolp');
INSERT INTO `v_hydomc_classspec` VALUES (346, '1712', '空调系统/空调末端/新风机组', '1060', '风量', '数字', '1025', '立方米/小时', 'maxfreshairflow');
INSERT INTO `v_hydomc_classspec` VALUES (347, '1712', '空调系统/空调末端/新风机组', '1128', '制热量', '数字', '1002', '千瓦', 'designheatp');
INSERT INTO `v_hydomc_classspec` VALUES (348, '1712', '空调系统/空调末端/新风机组', '1070', '机外余压', '数字', '1029', '兆帕(Mpa)', 'designexcesspress');
INSERT INTO `v_hydomc_classspec` VALUES (349, '1712', '空调系统/空调末端/新风机组', '1110', '水流量', '数字', '1022', '千克/秒', 'designchillwaterflow');
INSERT INTO `v_hydomc_classspec` VALUES (350, '1712', '空调系统/空调末端/新风机组', '1002', '电机功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (351, '1920', '空调系统/空调末端/组合式空调机组', '1002', '电机功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (352, '1920', '空调系统/空调末端/组合式空调机组', '1127', '制冷量', '数字', '1002', '千瓦', 'summerdesigncoolp');
INSERT INTO `v_hydomc_classspec` VALUES (353, '1920', '空调系统/空调末端/组合式空调机组', '1060', '风量', '数字', '1025', '立方米/小时', 'summerdesignsupplyairflow');
INSERT INTO `v_hydomc_classspec` VALUES (354, '1920', '空调系统/空调末端/组合式空调机组', '1174', '类型（单冷/冷热）', '字母数字', '', '', 'wD_lengreleixing');
INSERT INTO `v_hydomc_classspec` VALUES (355, '1920', '空调系统/空调末端/组合式空调机组', '1176', '新风量', '数字', '1025', '立方米/小时', 'wD_freshairFlow');
INSERT INTO `v_hydomc_classspec` VALUES (356, '1920', '空调系统/空调末端/组合式空调机组', '1128', '制热量', '数字', '1002', '千瓦', 'designheatp');
INSERT INTO `v_hydomc_classspec` VALUES (357, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1075', '冷量', '数字', '1002', '千瓦', 'ratedcool');
INSERT INTO `v_hydomc_classspec` VALUES (358, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1076', '冷却方式', '字母数字', '', '', 'wD_lengquefangshi');
INSERT INTO `v_hydomc_classspec` VALUES (359, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1126', '制冷剂', '字母数字', '', '', 'refrigeranttype');
INSERT INTO `v_hydomc_classspec` VALUES (360, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1121', '压缩机结构型式', '字母数字', '', '', 'wD_yasuojijiegouxingshi');
INSERT INTO `v_hydomc_classspec` VALUES (361, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1175', '额定COP', '数字', '', '', 'ratedcop');
INSERT INTO `v_hydomc_classspec` VALUES (362, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1097', '是否热泵', '字母数字', '', '', 'wD_shifourebeng');
INSERT INTO `v_hydomc_classspec` VALUES (363, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1049', '电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (364, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1047', '电流', '数字', '1015', '安', 'ratedi');
INSERT INTO `v_hydomc_classspec` VALUES (365, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1018', '是否变频', '字母数字', '', '', 'wD_shifoubianpin');
INSERT INTO `v_hydomc_classspec` VALUES (366, '1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1103', '输入功率', '数字', '1002', '千瓦', 'wD_inputgonglv');
INSERT INTO `v_hydomc_classspec` VALUES (367, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1097', '是否热泵', '字母数字', '', '', 'wD_shifourebeng');
INSERT INTO `v_hydomc_classspec` VALUES (368, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1103', '输入功率', '数字', '1002', '千瓦', 'wD_inputgonglv');
INSERT INTO `v_hydomc_classspec` VALUES (369, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1121', '压缩机结构型式', '字母数字', '', '', 'wD_yasuojijiegouxingshi');
INSERT INTO `v_hydomc_classspec` VALUES (370, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1126', '制冷剂', '字母数字', '', '', 'refrigeranttype');
INSERT INTO `v_hydomc_classspec` VALUES (371, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1175', '额定COP', '数字', '', '', 'ratedcop');
INSERT INTO `v_hydomc_classspec` VALUES (372, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1018', '是否变频', '字母数字', '', '', 'wD_shifoubianpin');
INSERT INTO `v_hydomc_classspec` VALUES (373, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1047', '电流', '数字', '1015', '安', 'ratedi');
INSERT INTO `v_hydomc_classspec` VALUES (374, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1049', '电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (375, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1076', '冷却方式', '字母数字', '', '', 'wD_lengquefangshi');
INSERT INTO `v_hydomc_classspec` VALUES (376, '1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1075', '冷量', '数字', '1002', '千瓦', 'ratedcool');
INSERT INTO `v_hydomc_classspec` VALUES (377, '1704', '空调系统/冷冻水泵', '1130', '转速', '数字', '1032', '转/分钟', 'wD_rpm');
INSERT INTO `v_hydomc_classspec` VALUES (378, '1704', '空调系统/冷冻水泵', '1129', '重量', '数字', '1076', '公斤', 'wD_weight');
INSERT INTO `v_hydomc_classspec` VALUES (379, '1704', '空调系统/冷冻水泵', '1109', '水泵安装形式', '字母数字', '', '', 'installtype');
INSERT INTO `v_hydomc_classspec` VALUES (380, '1704', '空调系统/冷冻水泵', '1077', '流量', '数字', '1025', '立方米/小时', 'ratedflow');
INSERT INTO `v_hydomc_classspec` VALUES (381, '1704', '空调系统/冷冻水泵', '1049', '电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (382, '1704', '空调系统/冷冻水泵', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (383, '1704', '空调系统/冷冻水泵', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (384, '1704', '空调系统/冷冻水泵', '1123', '扬程', '数字', '1008', '米', 'ratedhead');
INSERT INTO `v_hydomc_classspec` VALUES (385, '1703', '空调系统/冷却水泵', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (386, '1703', '空调系统/冷却水泵', '1130', '转速', '数字', '1032', '转/分钟', 'wD_rpm');
INSERT INTO `v_hydomc_classspec` VALUES (387, '1703', '空调系统/冷却水泵', '1129', '重量', '数字', '1076', '公斤', 'wD_weight');
INSERT INTO `v_hydomc_classspec` VALUES (388, '1703', '空调系统/冷却水泵', '1123', '扬程', '数字', '1008', '米', 'ratedhead');
INSERT INTO `v_hydomc_classspec` VALUES (389, '1703', '空调系统/冷却水泵', '1109', '水泵安装形式', '字母数字', '', '', 'installtype');
INSERT INTO `v_hydomc_classspec` VALUES (390, '1703', '空调系统/冷却水泵', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (391, '1703', '空调系统/冷却水泵', '1049', '电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (392, '1703', '空调系统/冷却水泵', '1077', '流量', '数字', '1025', '立方米/小时', 'ratedflow');
INSERT INTO `v_hydomc_classspec` VALUES (393, '1705', '空调系统/冷却塔', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (394, '1705', '空调系统/冷却塔', '1045', '处理水量', '数字', '1025', '立方米/小时', 'ratedwaterflow');
INSERT INTO `v_hydomc_classspec` VALUES (395, '1705', '空调系统/冷却塔', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (396, '1705', '空调系统/冷却塔', '1088', '频率', '数字', '1021', '赫兹', 'wD_FanWorkFreq');
INSERT INTO `v_hydomc_classspec` VALUES (397, '1705', '空调系统/冷却塔', '1076', '冷却方式', '字母数字', '', '', 'wD_lengquefangshi');
INSERT INTO `v_hydomc_classspec` VALUES (398, '1705', '空调系统/冷却塔', '1059', '风机余压', '数字', '1030', '帕', 'wD_fengjiyuya');
INSERT INTO `v_hydomc_classspec` VALUES (399, '1444', '空调系统/热力板块/热力循环泵', '1077', '流量', '数字', '1025', '立方米/小时', 'ratedflow');
INSERT INTO `v_hydomc_classspec` VALUES (400, '1444', '空调系统/热力板块/热力循环泵', '1046', '是否有变频设备', '字母数字', '', '', 'wD_shifoubianpinequip');
INSERT INTO `v_hydomc_classspec` VALUES (401, '1444', '空调系统/热力板块/热力循环泵', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (402, '1444', '空调系统/热力板块/热力循环泵', '1123', '扬程', '数字', '1008', '米', 'ratedhead');
INSERT INTO `v_hydomc_classspec` VALUES (403, '1659', '消防水系统/喷淋泵', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (404, '1659', '消防水系统/喷淋泵', '1049', '电压', '数字', '1005', '伏', 'ratedu');
INSERT INTO `v_hydomc_classspec` VALUES (405, '1659', '消防水系统/喷淋泵', '1077', '流量', '数字', '1025', '立方米/小时', 'ratedhead');
INSERT INTO `v_hydomc_classspec` VALUES (406, '1659', '消防水系统/喷淋泵', '1109', '水泵安装形式', '字母数字', '', '', 'installtype');
INSERT INTO `v_hydomc_classspec` VALUES (407, '1659', '消防水系统/喷淋泵', '1123', '扬程', '数字', '1008', '米', 'ratedflow');
INSERT INTO `v_hydomc_classspec` VALUES (408, '1659', '消防水系统/喷淋泵', '1130', '转速', '数字', '1032', '转/分钟', 'wD_rpm');
INSERT INTO `v_hydomc_classspec` VALUES (409, '1659', '消防水系统/喷淋泵', '1129', '重量', '数字', '1001', '千克', 'wD_weight');
INSERT INTO `v_hydomc_classspec` VALUES (410, '1908', '消防水系统/消火栓泵', '1077', '流量', '数字', '1025', '立方米/小时', 'ratedhead');
INSERT INTO `v_hydomc_classspec` VALUES (411, '1908', '消防水系统/消火栓泵', '1006', '功率', '数字', '1002', '千瓦', 'ratedp');
INSERT INTO `v_hydomc_classspec` VALUES (412, '1908', '消防水系统/消火栓泵', '1123', '扬程', '数字', '1008', '米', 'ratedflow');
