-- wd分类表
CREATE TABLE `v_hydomc_classstructure` (
  `CLASSSTRUCTUREID` varchar(40) NOT NULL COMMENT '设备分类id',
  `CLASSQC` varchar(40) NOT NULL COMMENT '设备分类名称',
  `JLDW` varchar(40) DEFAULT NULL COMMENT '设备单位编码',
  `JLDWDESC` varchar(40) NOT NULL COMMENT '设备单位名称',
  PRIMARY KEY (`CLASSSTRUCTUREID`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='万达设备分类V_HYDOMC_CLASSSTRUCTURE';

-- 初始化信息
INSERT INTO `v_hydomc_classstructure` VALUES ('1444', '空调系统/热力板块/热力循环泵', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1502', '电梯系统/直梯/客梯', '1004', '部');
INSERT INTO `v_hydomc_classstructure` VALUES ('1503', '电梯系统/直梯/货梯', '1004', '部');
INSERT INTO `v_hydomc_classstructure` VALUES ('1504', '电梯系统/直梯/观光电梯', '1004', '部');
INSERT INTO `v_hydomc_classstructure` VALUES ('1506', '电梯系统/扶梯/自动扶梯', '1004', '部');
INSERT INTO `v_hydomc_classstructure` VALUES ('1507', '电梯系统/扶梯/人行步道', '1004', '部');
INSERT INTO `v_hydomc_classstructure` VALUES ('1514', '供配电系统/高压配电柜/变压器', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1639', '给排水/给水泵', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1659', '消防水系统/喷淋泵', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1700', '空调系统/冷(热)水机组/压缩式离心冷水机组', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1702', '空调系统/锅炉', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1703', '空调系统/冷却水泵', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1704', '空调系统/冷冻水泵', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1705', '空调系统/冷却塔', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1712', '空调系统/空调末端/新风机组', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1771', '空调系统/冷(热)水机组/压缩式螺杆冷水机组', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1908', '消防水系统/消火栓泵', '1043', '台');
INSERT INTO `v_hydomc_classstructure` VALUES ('1920', '空调系统/空调末端/组合式空调机组', '1043', '台');