-- 同步万达数据设备信息表，设备信息主表HYDOMC_ASSET
CREATE TABLE `hydomc_assetspec` (
  `ASSETSPECID` varchar(80) NOT NULL COMMENT '主键',
  `SBYBM` varchar(80) NOT NULL COMMENT '设备编码,主键  无其他主键可采用设备编码为主键，但要确保唯一（工程信息化设备原码）',
  `SITEID` varchar(40) NOT NULL COMMENT '广场id,项目唯一id，可采用租赁系统广场id，同步后不可更改',
  `CLASSSTRUCTUREID` varchar(40) DEFAULT NULL COMMENT '设备分类,对接设备分类id，同步后不可更改',
  `CLASSQC` varchar(40) DEFAULT NULL COMMENT '设备分类名称',
  `ASSETATTRID` varchar(40) DEFAULT NULL COMMENT '设备参数id',
  `CSDESC` varchar(100) DEFAULT NULL COMMENT '设备参数名称',
  `DATATYPE` varchar(40) DEFAULT NULL COMMENT '设备参数类型',
  `MEASUREUNITID` varchar(40) DEFAULT NULL COMMENT '设备参数单位编码',
  `CSJLDW` varchar(100) DEFAULT NULL COMMENT '设备参数单位名称',
  `NUMVALUE` double(30,2) DEFAULT NULL COMMENT '设备参数数字值',
  `ALNVALUE` varchar(300) DEFAULT NULL COMMENT '设备参数文本值',
  `DATASTATUS` varchar(40) DEFAULT NULL COMMENT '数据状态',
  `CHANGEDATE` datetime DEFAULT NULL COMMENT '数据更新时间',
  PRIMARY KEY (`ASSETSPECID`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 ROW_FORMAT=DYNAMIC COMMENT='设备信息主表HYDOMC_ASSET';